<?php
require_once("../../config/config_dir_raiz.php");
$config = new Config();
require_once($config->diretorio_raiz()."/src/model/bd/Bi_pagina_analiseDAO.php");
$bi_pagina_analiseDAO = new Bi_pagina_analiseDAO();
require_once($config->diretorio_raiz()."/src/model/bd/Bi_paginaDAO.php");
$bi_paginaDAO = new Bi_paginaDAO(); 
require_once($config->diretorio_raiz()."/src/model/bd/Bi_analiseDAO.php");
$bi_analiseDAO = new Bi_analiseDAO(); 
$retorno = array();
if (isset($_GET["mod"]) && $_GET["mod"] == "form")
{
	if ( (isset($_GET["codigo"]) and $_GET["codigo"] != "")  )
	{
		$bi_pagina_analise = $bi_pagina_analiseDAO->buscarBi_pagina_analise($_GET["codigo"]);
	}else{
		$bi_pagina_analise = new Bi_pagina_analise();
		$bi_pagina_analise->setPagina(new Bi_pagina());
		$bi_pagina_analise->setAnalise(new Bi_analise());
	}
	$listaPagina = $bi_paginaDAO->listarTodosRegistros(); 
	$listaAnalise = $bi_analiseDAO->listarTodosRegistros(); 
	if (isset($_GET["pagina"]) and $_GET["pagina"] != "")
	{
		$bi_pagina_analise->setPagina($bi_paginaDAO->buscarBi_pagina($_GET["pagina"]));
		$campo_buscar = "&pagina=".$_GET["pagina"]; 
	}
	if (isset($_GET["analise"]) and $_GET["analise"] != "")
	{
		$bi_pagina_analise->setAnalise($bi_analiseDAO->buscarBi_analise($_GET["analise"]));
		$campo_buscar = "&analise=".$_GET["analise"]; 
	}
	include_once($config->diretorio_raiz()."/src/view/bi_pagina_analise/Formulario.php");
}
elseif (isset($_GET["mod"]) && ($_GET["mod"] == "salvar" or $_GET["mod"] == "alterar"))
{
	$bi_pagina_analise = new Bi_pagina_analise();
	$bi_pagina_analise->setCodigo($_POST['codigo']);
	$bi_pagina_analise->setPagina($_POST['pagina']);
	$bi_pagina_analise->setAnalise($_POST['analise']);
	if (isset($_POST['altura']))
	{
		$bi_pagina_analise->setAltura($_POST['altura']);
	}
	else
	{
		$bi_pagina_analise->setAltura("0");
	}
	$bi_pagina_analise->setLargura($_POST['largura']);
	$bi_pagina_analise->setLeft_fixo($_POST['left_fixo']);
	$bi_pagina_analise->setTop_fixo($_POST['top_fixo']);
	$bi_pagina_analise->setLinha($_POST['linha']);
	$bi_pagina_analise->setColuna($_POST['coluna']);
	$bi_pagina_analise->setTexto($_POST['texto']);
	$bi_pagina_analise->setTipo($_POST['tipo']);
	$codigo = "";
	if ($_GET["mod"] == "alterar")
	{
		$bi_pagina_analise->setCodigo($_POST['codigo']);
		$codigo = $bi_pagina_analise->getCodigo();
		try
		{
			$retorno["mensagem"] = "Alterado com sucesso!";
			$retorno["status"] = true;
			$bi_pagina_analiseDAO->atualizar($bi_pagina_analise);
		}
		catch (Exception  $e)
		{
			$retorno["mensagem"] = $e->getMessage();
			$retorno["status"] = false;
		}
	}
	else
	{
		try
		{
			$retorno["mensagem"] = "Inserido com sucesso!";
			$retorno["status"] = true;
			$codigo = $bi_pagina_analiseDAO->salvar($bi_pagina_analise);
		}
		catch (Exception  $e)
		{
			$retorno["mensagem"] = $e->getMessage();
			$retorno["status"] = false;
		}
	}
	echo json_encode($retorno);
}
elseif (isset($_GET["mod"]) && $_GET["mod"] == "excluir")
{
	try
	{
		$bi_pagina_analise = $bi_pagina_analiseDAO->buscarBi_pagina_analise($_GET["codigo"]);
		$bi_pagina_analiseDAO->excluir($bi_pagina_analise);
		$retorno["mensagem"] = utf8_decode("Excluido com sucesso!");
		$retorno["status"] = true;
	}
	catch (Exception  $e)
	{
		$retorno["mensagem"] = $e->getMessage();
		$retorno["status"] = false;
	}
	echo json_encode($retorno);
}
elseif (isset($_GET["mod"]) && $_GET["mod"] == "listar")
{
	if (isset($_GET["pagina"]) and $_GET["pagina"] != "")
	{
		$campo_buscar = "&pagina=".$_GET["pagina"]; 
	}
	if (isset($_GET["analise"]) and $_GET["analise"] != "")
	{
		$campo_buscar = "&analise=".$_GET["analise"]; 
	}
	$listaBi_pagina_analise = $bi_pagina_analiseDAO->listarTodosRegistros();
	include_once($config->diretorio_raiz()."/src/view/bi_pagina_analise/Listar_todos_registros.php");
}
elseif (isset($_GET["mod"]) && $_GET["mod"] == "filtro")
{
	if ( (isset($_GET["codigo"]) and $_GET["codigo"] != "")  )
	{
		$bi_pagina_analise = $bi_pagina_analiseDAO->buscarBi_pagina_analise($_GET["codigo"]);
	}else{
		$bi_pagina_analise = new Bi_pagina_analise();
		$bi_pagina_analise->setPagina(new Bi_pagina());
		$bi_pagina_analise->setAnalise(new Bi_analise());
	}
	$listaPagina = $bi_paginaDAO->listarTodosRegistros(); 
	$listaAnalise = $bi_analiseDAO->listarTodosRegistros(); 
	if (isset($_GET["pagina"]) and $_GET["pagina"] != "")
	{
		$bi_pagina_analise->setPagina($bi_paginaDAO->buscarBi_pagina($_GET["pagina"]));
		$campo_buscar = "&pagina=".$_GET["pagina"]; 
	}
	if (isset($_GET["analise"]) and $_GET["analise"] != "")
	{
		$bi_pagina_analise->setAnalise($bi_analiseDAO->buscarBi_analise($_GET["analise"]));
		$campo_buscar = "&analise=".$_GET["analise"]; 
	}
	include_once($config->diretorio_raiz()."/src/view/bi_pagina_analise/Filtro_lista_registros.php");
}
elseif (isset($_GET["mod"]) && $_GET["mod"] == "busca_por_campo_filtro")
{
	$entrouEmAlgumFiltro = false;
 	$where = " where 1=1";
	if(isset($_GET['codigo']) and $_GET["codigo"] != "" )
	{
		$where .= " and UPPER(codigo) like '%".strtoupper($_GET['codigo'])."%'";
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&codigo=".$_GET["codigo"]; 
	}
	if(isset($_POST['codigo']) and $_POST["codigo"] != "" )
	{
		$where .= " and UPPER(codigo) like '%".strtoupper($_POST['codigo'])."%'";
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&codigo=".$_POST["codigo"]; 
	}
	if(isset($_GET['pagina']) and $_GET['pagina'] != "")
	{
		$where .= " and pagina = ". $_GET['pagina'];
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&pagina=".$_GET["pagina"]; 
	}
	if(isset($_POST['pagina']) and $_POST['pagina'] != "")
	{
		$where .= " and pagina = ". $_POST['pagina'];
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&pagina=".$_POST["pagina"]; 
	}
	if(isset($_GET['analise']) and $_GET['analise'] != "")
	{
		$where .= " and analise = ". $_GET['analise'];
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&analise=".$_GET["analise"]; 
	}
	if(isset($_POST['analise']) and $_POST['analise'] != "")
	{
		$where .= " and analise = ". $_POST['analise'];
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&analise=".$_POST["analise"]; 
	}
	if(isset($_GET['altura']) and $_GET["altura"] != "" )
	{
		$where .= " and UPPER(altura) like '%".strtoupper($_GET['altura'])."%'";
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&altura=".$_GET["altura"]; 
	}
	if(isset($_POST['altura']) and $_POST["altura"] != "" )
	{
		$where .= " and UPPER(altura) like '%".strtoupper($_POST['altura'])."%'";
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&altura=".$_POST["altura"]; 
	}
	if(isset($_GET['largura']) and $_GET["largura"] != "" )
	{
		$where .= " and UPPER(largura) like '%".strtoupper($_GET['largura'])."%'";
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&largura=".$_GET["largura"]; 
	}
	if(isset($_POST['largura']) and $_POST["largura"] != "" )
	{
		$where .= " and UPPER(largura) like '%".strtoupper($_POST['largura'])."%'";
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&largura=".$_POST["largura"]; 
	}
	if(isset($_GET['left_fixo']) and $_GET["left_fixo"] != "" )
	{
		$where .= " and UPPER(left_fixo) like '%".strtoupper($_GET['left_fixo'])."%'";
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&left_fixo=".$_GET["left_fixo"]; 
	}
	if(isset($_POST['left_fixo']) and $_POST["left_fixo"] != "" )
	{
		$where .= " and UPPER(left_fixo) like '%".strtoupper($_POST['left_fixo'])."%'";
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&left_fixo=".$_POST["left_fixo"]; 
	}
	if(isset($_GET['top_fixo']) and $_GET["top_fixo"] != "" )
	{
		$where .= " and UPPER(top_fixo) like '%".strtoupper($_GET['top_fixo'])."%'";
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&top_fixo=".$_GET["top_fixo"]; 
	}
	if(isset($_POST['top_fixo']) and $_POST["top_fixo"] != "" )
	{
		$where .= " and UPPER(top_fixo) like '%".strtoupper($_POST['top_fixo'])."%'";
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&top_fixo=".$_POST["top_fixo"]; 
	}
	if(isset($_GET['linha']) and $_GET["linha"] != "" )
	{
		$where .= " and UPPER(linha) like '%".strtoupper($_GET['linha'])."%'";
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&linha=".$_GET["linha"]; 
	}
	if(isset($_POST['linha']) and $_POST["linha"] != "" )
	{
		$where .= " and UPPER(linha) like '%".strtoupper($_POST['linha'])."%'";
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&linha=".$_POST["linha"]; 
	}
	if(isset($_GET['coluna']) and $_GET["coluna"] != "" )
	{
		$where .= " and UPPER(coluna) like '%".strtoupper($_GET['coluna'])."%'";
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&coluna=".$_GET["coluna"]; 
	}
	if(isset($_POST['coluna']) and $_POST["coluna"] != "" )
	{
		$where .= " and UPPER(coluna) like '%".strtoupper($_POST['coluna'])."%'";
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&coluna=".$_POST["coluna"]; 
	}
	if(isset($_GET['texto']) and $_GET["texto"] != "" )
	{
		$where .= " and UPPER(texto) like '%".strtoupper($_GET['texto'])."%'";
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&texto=".$_GET["texto"]; 
	}
	if(isset($_POST['texto']) and $_POST["texto"] != "" )
	{
		$where .= " and UPPER(texto) like '%".strtoupper($_POST['texto'])."%'";
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&texto=".$_POST["texto"]; 
	}
	if(isset($_GET['tipo']) and $_GET["tipo"] != "" )
	{
		$where .= " and UPPER(tipo) like '%".strtoupper($_GET['tipo'])."%'";
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&tipo=".$_GET["tipo"]; 
	}
	if(isset($_POST['tipo']) and $_POST["tipo"] != "" )
	{
		$where .= " and UPPER(tipo) like '%".strtoupper($_POST['tipo'])."%'";
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&tipo=".$_POST["tipo"]; 
	}
	$listaBi_pagina_analise = $bi_pagina_analiseDAO->buscarFiltro($where);
	include_once($config->diretorio_raiz()."/src/view/bi_pagina_analise/Listar_todos_registros.php");
}
